<template>
  <div class="echarts-wrapper">
    <div class="echarts-content" ref="chinaMap" id="chinaMap">

    </div>
  </div>
</template>

<script>
import * as echarts from 'echarts';
import { 
    getAllMapOutlineAction,
} from "../../assets/js/api";
export default {
  name: "chinaMap",
  chart: "",
  props: {
    id: {
      require: true,
      type: String,
      default: "",
    },
    name: {
      type: String,
      default: ""
    },
    top: {
      type: Number,
      default: 15,
    },
    bottom: {
      type: Number,
      default: 60
    },
    space: {
      type: Number,
      default: 4
    },
  },
  data() {
    return {

    }
  },
  methods: {
      getAllMapOutlineAction() {
        //查询激活轮廓图
        getAllMapOutlineAction().then((res) => {
            let rs = JSON.parse(res.data.result);
            if (rs.code == 1) {
                let data = rs.data;
                data.map((item, index) => {
                if (item.status == 1) {
                    this.mapName = item.name;
                }
                });
            }
            if (!this.mapName) {
                this.mapStyle = "百度地图";
            }
            this.mapNameCopy = this.mapName;
            this.$nextTick(() => {
                // this.initPage();
            });
            })
            .catch((err) => {
            console.log(err);
            });
    },
  },
  mounted() {
    // 初始化页面
    this.getAllMapOutlineAction();
    
  },
  destroyed() {

  }
}
</script>

<style scoped>

</style>